Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » AspectJ seems to conflict with YourKit
AspectJ seems to conflict with YourKit [message #1791351] Thu, 28 June 2018 10:07 Go to next message
madamx x is currently offline madamx xFriend
Messages: 1
Registered: June 2018
Junior Member
I am using AspectJ load-time weaving for advice classes (eg, Spring declarative transactions and other uses). When I start the application for profiling (via eclipse 3.2.1) I get a ClassFormatError for any classes that has been advised. This problem was not present in 5.5.

In the example below, the class error for the aspect itself (using @Aspect style). But I get the same error for any class that is weaved.

Are there any YK settings that might work around this issue, as it is effectively blocking the use of YK?

thanks!
Re: AspectJ seems to conflict with YourKit [message #1792049 is a reply to message #1791351] Tue, 10 July 2018 13:53 Go to previous message
Brian de Alwis is currently offline Brian de AlwisFriend
Messages: 772
Registered: January 2012
Senior Member

Odd as your post is an exact duplicate of the initial post on the YourKit forums dating from 2006:

https://www.yourkit.com/forum/viewtopic.php?p=3477

The issue was fixed in a subsequent version of AspectJ. The previous thread and the following seem to have some workaround.

https://yourkit.com/forum/viewtopic.php?f=3&t=2472

Brian.


Eclipse Platform committer. Ask me about Eclipse support, training, and consulting.
Previous Topic:64 bit RCP application not able to read and write in Program Files or Program Files(x86)
Next Topic:Phantom Editor view left around
Goto Forum:
  


Current Time: Fri Sep 21 05:56:54 GMT 2018

Powered by FUDForum. Page generated in 0.01821 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top